
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL 第六篇：索引与子查询 / iVAN</title>

    <meta name="description" content="MySQL 第六篇：索引与子查询 我把MySQL的内容整理成9篇博客,学完这9篇博客虽不能说能成为大神,但是应付一般中小企业的开发已经足够了,有疑问或建议的欢迎留言讨论. 子查询 子查询,从原有的查询语句中 嵌入新的查询 来得到我们想要的结果,也可称为嵌套查询. 一.where 型 1.查询课程名为&quot;Java&quot;的学生信息 -- 使用关联查询实现 SELECT s.* FROM students s, class c WHERE s.class_id = c.class_id AND c.class_name  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL 第六篇：索引与子查询</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我把MySQL的内容整理成9篇博客，学完这9篇博客虽不能说能成为大神，但是应付一般中小企业的开发已经足够了，有疑问或建议的欢迎留言讨论。</p>
<h1>子查询</h1>
<p>子查询，从原有的查询语句中 嵌入新的查询 来得到我们想要的结果，也可称为嵌套查询。</p>
<h3>一、where 型</h3>
<p>1、查询课程名为“Java”的学生信息</p>
<pre><code>-- 使用关联查询实现
SELECT
    s.*
FROM
    students s,
    class c
WHERE
    s.class_id = c.class_id
AND c.class_name = 'JAVA' 

-- 使用子查询实现
SELECT
    *
FROM
    STUDENTS
WHERE
    CLASS_ID = (
        SELECT
            CLASS_ID
        FROM
            CLASS
        WHERE
            CLASS_NAME = 'JAVA'
    )</code></pre>
<p>2、用子查询实现查询出PHP 和 Java的学生</p>
<pre><code>select * from students
where class_id IN(
SELECT
    class_id
FROM
    class
WHERE
    class_name = 'JAVA'
OR class_name = 'PHP'
)</code></pre>
<p>注意： <br />
1、IN 的元素不能超过1000个。 <br />
2、in的效率会较低。有时候会用exists代替 in。 <br />
3、所有的关联查询都可以转换为子查询。但是并不是所有的子查询都能转化成关联查询。</p>
<h3>二、from型</h3>
<p>把内层的查询结果集作为临时表 供外层sql再次查询。</p>
<pre><code>SELECT
    s.*, c.class_name
FROM
    (
        SELECT
            *
        FROM
            students
        WHERE
            height &gt; 170
    ) s,
    class c
WHERE
    c.class_id = s.class_id</code></pre>
<pre><code>
SELECT
    s.*,(select class_name from class c where c.class_id = s.class_id) 课程名称
FROM
    (
        SELECT
            *
        FROM
            students
        WHERE
            height &gt; 170
    ) s</code></pre>
<h3>三、子查询与inert update delete的结合使用</h3>
<p>例：</p>
<pre><code>INSERT INTO students (
    s_id,
    s_name,
    age,
    height,
    sex,
    class_id
)
VALUES
    (
        'J1609004',
        '余志坚',
        26,
        175,
        1,
        (
            SELECT
                class_id
            FROM
                class
            WHERE
                class_name = 'JAVA'
        )
    )</code></pre>
<p>将学号为J1609004 的class_id更新成PHP的class_id</p>
<pre><code>UPDATE students
SET class_id = (
    SELECT
        class_id
    FROM
        class
    WHERE
        class_name = 'PHP'
)
WHERE
    s_id = 'J1609004'</code></pre>
<h1>索引</h1>
<p>数据库索引：数据库管理系统中的一个排序的数据结构，以协助快速查询，更新数据库表中的数据。简单来说，建立了索引后会在数据库里面单独一块区域建立一个小空间，把数据排好序，这样查找起来就快得多。</p>
<h3>一、为表添加索引的代价：</h3>
<ul>
<li>a.数据库的存储空间的占用</li>
<li>b.插入或修改数据的时候要花费较多的时间 - 重新建立索引</li>
</ul>
<h3>二、使用索引的三大原则</h3>
<ul>
<li>a.单表数据太少，索引反而会影响速度，数据较少的表不需要建立索引</li>
<li>b.数据较多的情况下， where 后的条件、order by 、group by等过滤时，后面的字段最好加上索引，根据实际情况，选择primary key，unique index，索引不是越多越好。</li>
<li>c.联合查询，子查询等多表操作时对关联字段加索引。</li>
</ul>
<h3>三、索引类型</h3>
<h4>1、单字段索引：最常用的索引，只有一个字段，并且不保证字段值的唯一性。</h4>
<p>语法：create index 索引名 on 表名(列名)</p>
<pre><code>create index index_name  on students(s_name);</code></pre>
<h4>2、唯一索引：可以根据唯一索引确定唯一的一条数据，用于改善性能和保证数据的完整性。</h4>
<p>语法：create unique index 索引名 on 表名(列名)</p>
<pre><code>create unique index index_id on students(s_id);</code></pre>
<h4>3、组合索引</h4>
<p>语法：create index 索引名 on 表名（列名1，列名2.);</p>
<pre><code>create index index_idname on students(s_name,s_id);</code></pre>
<pre><code>SELECT * FROM STUDENTS WHERE S_ID='3' and s_name='小红'</code></pre>
<p>注意： <br />
1、组合索引页可以是唯一索引。 <br />
2、当查询条件有组合查询的第一个字段（s_name）的时候就一定会用该索引去查询，无论where后面的查询条件的顺是怎样的，无论有没有其他查询条件。</p>
<h4>4、隐含索引：数据库创建对象的时候自动穿件。主键约束 和唯一约束会自动创建索引。</h4>
<h4>补充：</h4>
<ul>
<li>1、在上例中，如果不存在索引，查找时将会扫描全表的s_name字段。</li>
<li>2、在一张表中可以建立多个所以，但是所以不是越多越好。</li>
<li>3、唯一索引的意思是这个字段的每个值都不一样，可以根据索引值唯一确定一条数据，而其他索引不能根据索引值确定唯一的数据。</li>
</ul>
<h3>四、修改与删除索引</h3>
<p>修改语法：alter index 索引名  （生产系统不建议使用索引的修改，数据库执行时无法进行查询操作） <br />
删除语法：drop index 索引名  on 表名</p>
<pre><code>DROP INDEX index_name ON talbe_name;
ALTER TABLE table_name DROP INDEX index_name;</code></pre>
<h3>五、建立索引指导原则</h3>
<p>1.越小的数据类型越好。 <br />
2.简单的数据类型越好，给日期做索引的 使用datetime 。 <br />
3.尽量避免使用NULL,指定列为 not null 有空值的列很难进行查询优化。可以使用0或者一个特殊的值或者空字符串来代替。</p>
<h3>六、索引的优缺点</h3>
<ul>
<li>优点：加快查询速度</li>
<li>缺点：降低增 改 删的速度，增大了表的文件大小</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:05:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/%e7%b4%a2%e5%bc%95/" title="索引">索引</a>, <a href="https://www.iamivan.net/tag/create/" title="Create">Create</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/index/" title="index">index</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e6%9f%a5%e8%af%a2%e4%bc%98%e5%8c%96/" title="查询优化">查询优化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL 第六篇：索引与子查询的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY9PP6M.html" rel="bookmark">关于MYSQL DML&lpar;UPDATE DELETE&rpar;中的子查询问题和ERROR 1093 &lpar;HY000&rpar;错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从5.6开始MYSQL的子查询进行了大量的优化,5.5中只有EXISTS strategy,在5.7中包含如下: IN(=ANY) --Semi-join   --table pullout(最快的,子查询条件为唯一键)   --first match   --semi-join materialization   --loosescan   --duplicateweedout --Materialization --EXISTS strategy(最慢的) NOT IN( &lt;&gt;ALL) -			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOndWkp.html" rel="bookmark">MySQL的子查询及相关优化学习教程&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.子查询 1.where型子查询(把内层查询结果当作外层查询的比较条件) #不用order by 来查询最新的商品 select goods_id,goods_name from goods where goods_id = (select max(goods_id) from goods); #取出每个栏目下最新的产品(goods_id唯一) select cat_id,goods_id,goods_name from goods where goods_id in(select max(g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBJErM.html" rel="bookmark">PostgreSQL 10&period;0 preview 多核并行增强 - 索引扫描、子查询、VACUUM、fdw&sol;csp钩子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				标签 PostgreSQL , 10.0 , 并行计算 , 索引扫描 , 子查询 , VACUUM , 外部表并行 背景 PostgreSQL 9.6推出的多核并行计算特性,支持全表扫描,hash join,聚合操作. 10.0 在此基础上,增加了更多的支持. 1. Parallel bitmap heap scan 2. Parallel Index Scans 3. Parallel Merge Join 4. parallelize queries containing subplans			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7684M.html" rel="bookmark">高性能的MySQL（5）索引策略-索引案例分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				理解索引最好的办法是结合实例,接下来分析一个例子. 假设要设计一个在线约会网站,用户信息表有很多列,包括国家,地区,城市,性别,眼睛颜色等等.网站必须支持上面的各种组合来搜索用户,包括根据用户的最后在线时间,评分等进行排序的限制. 需要考虑是需要索引来排序还是先检索数据再排序,因为使用索引排序会严格限制索引和查询的设计.如果MySQL使用了某个索引的范围查询,也就无法再使用另一个索引或者是该索引的后续字段进行排序了.接下来一步步讨论: 1.支持多种过滤条件 country列的选择性通常不高,但是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgwdPAM.html" rel="bookmark">SQL 基础6&mdash;&mdash; 子查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/* 一.子查询     子查询就是位于SELECT.UPDATE.或DELETE语句中内部的查询     二.子查询的分类     单行子查询         返回零行或一行     多行子查询         返回一行或多行     多列子查询         返回多列     相关子查询         引用外部SQL语句中的一列或多列     嵌套子查询         位于其它子查询中的查询   三.子查询语法 */     SELECT select_list     FROM ta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvn6WAM.html" rel="bookmark">SQL 基础--&amp;amp&semi;gt&semi; 子查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				--========================= --SQL 基础--&gt; 子查询 --=========================     /* 一.子查询     子查询就是位于SELECT.UPDATE.或DELETE语句中内部的查询     二.子查询的分类     单行子查询         返回零行或一行     多行子查询         返回一行或多行     多列子查询         返回多列     相关子查询         引用外部SQL语句中的一列或多列  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1nAEM.html" rel="bookmark">MySQL数据库学习笔记（六）----MySQL多表查询之外键、表连接、子查询、索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本章主要内容: 一.外键 二.表连接 三.子查询 四.索引 一.外键: 1.什么是外键 2.外键语法  3.外键的条件 4.添加外键 5.删除外键 1.什么是外键: 主键:是唯一标识一条记录,不能有重复的,不允许为空,用来保证数据完整性 外键:是另一表的主键, 外键可以有重复的, 可以是空值,用来和其他表建立联系用的.所以说,如果谈到了外键,一定是至少涉及到两张表.例如下面这两张表: 上面有两张表:部门表(dept).员工表(emp).Id=Dept_id,而Dept_id就是员工表中的外键:因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NdqrM.html" rel="bookmark">MySQL中IN子查询会导致无法使用索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:MySQL中IN子查询会导致无法使用索引   今天看到一个博客园的一篇关于MySQL的IN子查询优化的案例,一开始感觉有点半信半疑(如果是换做在SQL Server中,这种情况是绝对不可能的,后面会做一个简单的测试.)随后动手按照他说的做了一个表来测试验证,发现MySQL的IN子查询做的不好,确实会导致无法使用索引的情况(IN子查询无法使用所以,场景是MySQL,截止的版本是5.7.18) MySQL的测试环境 测试表如下 create table test_table2 ( id int			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkPJAz.html" rel="bookmark">详细讲述MySQL中的子查询操作&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继续做以下的前期准备工作:     新建一个测试数据库TestDB:     create database TestDB;     创建测试表table1和table2: CREATE TABLE table1 ( customer_id VARCHAR(10) NOT NULL, city VARCHAR(10) NOT NULL, PRIMARY KEY(customer_id) )ENGINE=INNODB DEFAULT CHARSET=UTF8; CREATE TABLE table			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyZ25p.html" rel="bookmark" class="title">Web 窗体页的数据绑定表达式</a>
					<div>
						web|数据   对 Web 窗体页中的各项控件属性进行数据绑定不是通过直接将属性绑定到数据源来实现的.而是通过使用特殊的表达式格式来实现数据绑定的.与要绑定到的数据有关的信息被置入该表达式,然后将表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2Bgrb.html" rel="bookmark" class="title">解决数据库中记录重复问题</a>
					<div>
						解决|数据|数据库|问题|重复 解决数据库中记录重复问题 (By:aloxy) Jul 22, 11:19 --产品数据重复统计SELECT mc, userid, COUNT(mc) AS Expr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zODQvb.html" rel="bookmark" class="title">用户体验&colon;当当网的糟糕的信息反馈页面设计</a>
					<div>
						很久没有在当当网买书了.因为感觉卓越的服务不错,一直用得很顺手,最重要的是速度很快.但是不得不承认,当当上有许多书,卓越是没有的.卓越只做谈得下来有钱赚的畅销书. 很久没上,差点无法登陆,我注册当当的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP2DOM.html" rel="bookmark" class="title">PowerPoint2007中将表格中的数字与小数点制表符对齐</a>
					<div>
						摘要: 本文介绍如何在PowerPoint 2007 中将表格中的数字与小数点制表符对齐.当您希望按照小数点对齐列中的数字时,此过程很有用. 解决方法: 向单个表格单元格中添加小数点制表符 若要将某个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjmA2p.html" rel="bookmark" class="title">实战Active Directory站点部署与管理，Active Directory系列之十二</a>
					<div>
						实验拓扑如下图所所示,adtest.com域中有四个域控制器,分别是Florence,Berlin,Firenze和Perth.其中Florence和Berlin在北京,隶属于192.168.11网段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW10yqz.html" rel="bookmark" class="title">Java构造函数的执行</a>
					<div>
						Java 在创建对象的时候会要执行它的构造函数.不仅如此,Java 还要执行父类的构造函数,往上一级一级直到没有父类为止.对于初学者来说,有三个问题不容易搞懂: 1.父类的构造函数是否一定会执行? 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4Dqwp.html" rel="bookmark" class="title">word2013如何识别生僻字</a>
					<div>
						  word2013识别生僻字的步骤 一.将你遇到的生僻字复制粘贴到word中; 二.随后选中你要进行识别的生僻字,单击:开始--拼音; 三.随后在弹出来的对话框中你可以看到对应文字跟拼音读法,单击确 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7NPJb.html" rel="bookmark" class="title">升级win10系统后怎么删除win7备份？</a>
					<div>
						  升级win10系统后怎么删除win7备份? 1.先进入win10的系统 设置 界面,这个可以在开始菜单里找到,我就不放图了.进去后,是这个界面,点击进入系统(显示 通知 应用 电源); 2.在下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK729Eb.html" rel="bookmark" class="title">Red Hat Enterprise Linux 5&period;X的图形安装教程</a>
					<div>
						在本篇中为了让大家对Linux的安装有个详细的了解,我会对几个热门的Linux发行版进行讲解,并简单的介绍一下图形安装和文本安装的不同安装方式.在Linux的发行版中,这里以比较有名的Red Hat  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa9OZM.html" rel="bookmark" class="title">excel表格上如何批量修改行和列上的数据</a>
					<div>
						  步骤一.你需要修改一列的数据都减去20的话,先在一个空白列上输入20数值,比如在G1列上插入20.然后将鼠标关标移动到20的单元格右下角就会出现一个小十字符号,变成十字符号之后就直接往下拖动,这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8kY8p.html" rel="bookmark" class="title">jQuery焦点控制图层展示延迟隐藏的方法</a>
					<div>
						 这篇文章主要介绍了jQuery焦点控制图层展示延迟隐藏的方法,实例分析了jQuery操作图层的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了jQuery焦点控制图层展示延迟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWw7Rb.html" rel="bookmark" class="title">佳能70D等带有WIFI功能相机怎么连接手机？</a>
					<div>
						  现在佳能,尼康等新产品线都带有WIFI功能,可连接电脑,手机,打印机,电视机,还有相机之间的互传照片,很多新手买来相机对于第一次设置连接参数,方法等IP地址有些头大的不能行(小编的70D刚入手就度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK7nAM.html" rel="bookmark" class="title">数据库篇之存储过程&lbrack;bsp&lowbar;createorder&rsqb;（非官方版本）</a>
					<div>
						差异如图: 更新语句如下: DROP PROCEDURE [bsp_createorder] GO SET ANSI_NULLS ON GO SET QUOTED_IDENTIFIER ON GO C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdl9oM.html" rel="bookmark" class="title">如何在Ubuntu Server版上实施iptables</a>
					<div>
						iptables 是一个安装在http://www.aliyun.com/zixun/aggregation/13835.html&quot;&gt;Ubuntu Server上的默认防火墙.在正常的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3W4lz.html" rel="bookmark" class="title">双向链表的头插入和删除，结果一直删除不了</a>
					<div>
						问题描述 双向链表的头插入和删除,结果一直删除不了 temp-&gt;prev-&gt;next=temp-&gt;next; temp-&gt;next-&gt;prev=temp-&gt;prev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPaWAp.html" rel="bookmark" class="title">美国男子出售免费上网调制解调器遭FBI逮捕</a>
					<div>
						北京时间1月29日晚间消息,据国外媒体报道,美国司法部今日表示,联邦调查局周四逮捕了康涅狄格州的马修·迪洛雷(Matthew Delorey),他涉嫌销售能够免费上网的经破解调制解调器. 迪洛雷被指控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rLv3z.html" rel="bookmark" class="title">SaaS：IT巨头们的&OpenCurlyDoubleQuote;时装秀&rdquo;</a>
					<div>
						本文讲的是SaaS:IT巨头们的&quot;时装秀&quot;,[IT168 资讯]如果说,一个明星要想在公众场合最为抢眼,必须选择最为流行的时装的话,那么Saas对于IT企业来说,毫无疑问就是今年最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YY2lz.html" rel="bookmark" class="title">gridview checkbox从服务器端和客户端两个方面实现全选和反选&lowbar;实用技巧</a>
					<div>
						GridView中的checkbox的全选和反选在很多的地方都是要求实现的,所以下面就从服务器端和客户端两个方面实现了checkbox的选择. 1.服务器端: html代码如下: 复制代码 代码如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eJy8b.html" rel="bookmark" class="title">c&num;做网站时。。注册新用户时，同时上传个人形象照？？</a>
					<div>
						问题描述 c#做网站时..注册新用户时,同时上传个人形象照??并显示啊..菜鸟急求解 解决方案 解决方案二:首先注册用户的时候要让用户上传照片,插入数据的时候把照片在服务器上的相对路径存入数据库,显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e6jYb.html" rel="bookmark" class="title">MSBuild 简解</a>
					<div>
						从最原始的编译器,逐渐到 Shell 命令组合.Make工具,到现在的针对性 Build 工具,Rake.Ant.MSBuild,甚至于 PowerShell 这样的工具:都为我们软件开发以及系统管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWNkeM.html" rel="bookmark" class="title">宏碁拉拢供货商应对缺工缺料鸿海设无人厂</a>
					<div>
						3月1日早间消息,据台湾媒体报道,随景气回升,PC产业订单能见度明朗,但因中国大陆缺工问题持续深化,宏碁和鸿海等龙头企业也不得不正视问题,提出对应策略. 宣示今年要成为笔电龙头厂的宏碁董事长王振堂日前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeodYNM.html" rel="bookmark" class="title">session-A用户新增入库一条记录指定限B用户查阅，成功增加时，B用户无论在站任何页面都能立即听到语音提示。</a>
					<div>
						问题描述 A用户新增入库一条记录指定限B用户查阅,成功增加时,B用户无论在站任何页面都能立即听到语音提示. 虽然本人帐户暂时没有C币,若确有人能解决我的问题,我会立即充值到位并支付50C币. (搜遍百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0XXlp.html" rel="bookmark" class="title">帝联副总裁吴轶：CDN大发展应以技术为先</a>
					<div>
						近日,在由&lt;http://www.aliyun.com/zixun/aggregation/34882.html&quot;&gt;计算机世界&gt;主办的&quot;SNW 2014中国大会& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5DPdp.html" rel="bookmark" class="title">梅子淘源：简单易用，对我们才最重要</a>
					<div>
						梅子淘源平台于2014年由阿里巴巴等互联网的老兵成立的创新型互联网公司,专注于新农业,崇尚健康.自然.快乐的生活.口号是&quot;吃货改变土地&quot;,于2015年1月上线官方平台梅子淘源. 简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkJr6p.html" rel="bookmark" class="title">PHP 文件类型判断代码&lowbar;php技巧</a>
					<div>
						何为MIME类型,它是设定某种扩展名的文件用一种应用程序来打开的方式类型,当该扩展名文件被访问时,浏览器会自动使用指定应用程序来打开. 多用于指定一些客户端自定义的文件名,以及一些媒体文件打开方式.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N6y3p.html" rel="bookmark" class="title">Android应用开发中控制反转IoC设计模式使用教程&lowbar;Android</a>
					<div>
						1.概述首先我们来吹吹牛,什么叫IoC,控制反转(Inversion of Control,英文缩写为IoC),什么意思呢? 就是你一个类里面需要用到很多个成员变量,传统的写法,你要用这些成员变量,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6LjqM.html" rel="bookmark" class="title">Android自定义ProgressDialog加载图片&lowbar;Android</a>
					<div>
						为了提高用户体验,我们肯定希望该Dialog能更加炫酷,让用户看着更舒服.那如何做呢,当然是我们自己定义一个ProgressDialog了. 一.使用系统加载框 mDialog = new Progr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Z1dVb.html" rel="bookmark" class="title">thinkphp开启调试模式取消生成缓存</a>
					<div>
						最近回到thinkphp  发现以前老版本的关闭缓存说的common这个里面的那两个关闭缓存的文件不见了.找了很长时间不知道怎么回事. 于是去看手册,看百度. 后来发现,可以开启调试模式来关闭缓存,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqKDap.html" rel="bookmark" class="title">对数据进行分页显示到table中的实现方法&lowbar;java</a>
					<div>
						我最先用jframe编程的时候写的比较简单,只是先查询到所有记录,再根据当前页码筛选出当前页的记录,返回的小集合可以直接显示到table上. import java.util.ArrayList; i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLel6M.html" rel="bookmark" class="title">php页面跳转代码 输入网址跳转到你定义的页面&lowbar;php技巧</a>
					<div>
						代码很简单,涉及到header函数的使用,代码如下 复制代码 代码如下: &lt;?php if (!empty($_SERVER['HTTPS']) &amp;&amp; ('on' == $_SE ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
